﻿
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
namespace HeuristicLab.Analysis.FitnessLandscape.DataTables {

  [Item("InformationStabiliyTable", "DataTable that contains a series with the development of information stability over time.")]
  [StorableClass]
  public class InformationStabilityTable : DataTable {

    #region Construction & Cloning

    [StorableConstructor]
    protected InformationStabilityTable(bool deserializing) : base(deserializing) { }
    protected InformationStabilityTable(InformationStabilityTable original, Cloner cloner) : base(original, cloner) { }
    public InformationStabilityTable() : base() { }
    public InformationStabilityTable(string name) : base(name) { }
    public InformationStabilityTable(string name, string description) : base(name, description) { }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new InformationStabilityTable(this, cloner);
    }
    #endregion

  }
}
